View Issue Details

IDProjectCategoryLast Update
0022930AI War 2[All Projects] Bug - OtherMar 26, 2020 5:38 pm
ReporterShnatselAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version2.007 Speed Boost 
Fixed in Version2.012 Populous 
Summary0022930: Edited: Backwards compatibility of profiles.
DescriptionI've switched to latest_stable on Steam as advised in the Steam release announcement to work around 0022929. This brought me to 2.001 instead of 2.006 as expected. After launching the game it complained that it cannot load the profile and prompted me to create a new one, which I did.

I did not realize the profile also includes saves, and looks like they're all gone now. I've tried opting out of betas and loading 2.007 again, but that loads the newly created empty profile and doesn't let me switch to any other profiles - "switch profile" merely brings up a dialog for editing the name and color of the current profile.

Any tips on recovering the saves would be appreciated.
TagsNo tags attached.

Relationships

related to 0023002 closedx4000Bughunter "Dwarf Fortress Syndrome" 

Activities

x4000Bughunter

Mar 4, 2020 6:40 pm

administrator   ~0056308

Your saves are definitely still there, they are in the the Saves folder and not in your profile. I need to make the profile more backwards compatible, hmm.

Your "most recent save" is the only thing that is linked by the profile, and if you load something else via the Load Game menu under single player, then it will bring that back up.

BadgerBadger

Mar 4, 2020 6:45 pm

manager   ~0056310

Profiles really need to be backwards compatible imho. It means that every time there's a release problem and people go back to the "most recent stable" they lose all their profile settings.

Shnatsel

Mar 4, 2020 6:58 pm

reporter   ~0056314

Thanks for the quick reply! I didn't see the most recent save listed so I assumed they're all gone. Sorry about the false alarm!

x4000Bughunter

Mar 4, 2020 7:01 pm

administrator   ~0056315

No worries at all! It's something that I do need to deal with to not have it mess with your settings and profile, at least.

x4000Bughunter

Mar 26, 2020 5:38 pm

administrator   ~0056614

Thanks!

* Made it so that settings files and input bindings files -- from this version onward -- are now forwards-compatible.
** Aka, if you load a version 2.016 settings file in version 2.012, then it would let you do that. In the past, loading a version 2.012 file in 2.011 would cause it to show an error message and toss out all your settings.

* The player profile is now stored in an xml format rather than the char field format that it was using before, which allows for hand-editing if we ever need to and is more flexible in general.
** The player profile also now is forward-compatible from version 2.012 onwards, like the settings and player inputs.
** Thanks to a variety of players, but including Shnatsel, for suggesting.

Issue History

Date Modified Username Field Change
Mar 4, 2020 5:52 pm Shnatsel New Issue
Mar 4, 2020 6:40 pm x4000Bughunter Note Added: 0056308
Mar 4, 2020 6:45 pm BadgerBadger Note Added: 0056310
Mar 4, 2020 6:56 pm Shnatsel Summary Switching to latest stable destroyed saves => Switching to latest stable (looked like) it destroyed saves
Mar 4, 2020 6:58 pm Shnatsel Note Added: 0056314
Mar 4, 2020 7:01 pm x4000Bughunter Note Added: 0056315
Mar 12, 2020 11:56 am x4000Bughunter Summary Switching to latest stable (looked like) it destroyed saves => Edited: Backwards compatibility of profiles.
Mar 12, 2020 11:56 am x4000Bughunter Assigned To => x4000Bughunter
Mar 12, 2020 11:56 am x4000Bughunter Status new => assigned
Mar 12, 2020 11:56 am x4000Bughunter Relationship added related to 0023002
Mar 26, 2020 5:38 pm x4000Bughunter Status assigned => resolved
Mar 26, 2020 5:38 pm x4000Bughunter Resolution open => fixed
Mar 26, 2020 5:38 pm x4000Bughunter Fixed in Version => 2.012 Populous
Mar 26, 2020 5:38 pm x4000Bughunter Note Added: 0056614